

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		smc-fonts
Version:	04
Release:	1
Summary:	Open Type Fonts for Malayalam script
Group:		Fonts
License:	GPLv3+ with exceptions and GPLv2+ with exceptions and GPLv2+ and  GPLv2
URL:		http://savannah.nongnu.org/projects/smc
Source:		http://download.savannah.nongnu.org/releases/smc/fonts/malayalam-fonts-%{version}.zip
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%define		fontdir		%{_datadir}/fonts/smc

%description
The smc-fonts package contains fonts for the display of
traditional and new Malayalam Script.

%package	dyuthi
Summary:	Open Type Fonts for Malayalam script
Group:		%{group}
License:	GPLv3+ with exceptions

%description	dyuthi
The smc-fonts-dyuthi package contains fonts for the display of
traditional Malayalam Scripts.

%package	meera
Summary:	Open Type Fonts for Malayalam script
Group:		%{group}
License:	GPLv2+ with exceptions

%description	meera
The smc-fonts-meera package contains fonts for the display of
traditional Malayalam Scripts.

%package	rachana
Summary:	Open Type Fonts for Malayalam script
Group:		%{group}
License:	GPLv2+

%description	rachana
The smc-fonts-rachana package contains fonts for the display of
traditional Malayalam Scripts.

%package	raghumalayalam
Summary:	Open Type Fonts for Malayalam script
Group:		%{group}
License:	GPLv2

%description	raghumalayalam
The smc-fonts-malayalam package contains fonts for the display of
new Malayalam Scripts.

%package	suruma
Summary:	Open Type Fonts for Malayalam script
Group:		%{group}
License:	GPLv3+ with exceptions

%description	suruma
The smc-fonts-suruma package contains fonts for the display of
traditional Malayalam Scripts.

%post  dyuthi
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%post  meera
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%post  rachana
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%post  raghumalayalam
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi	

%post  suruma
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun dyuthi
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun meera
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun rachana
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun raghumalayalam
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun suruma
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%prep
%setup -q -n malayalam-fonts-%{version}

%build

%install
rm -fr $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT%{fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{fontdir}

%files dyuthi
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{fontdir}
%{fontdir}/Dyuthi*.ttf 

%files meera
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{fontdir}
%{fontdir}/Meera*.ttf 

%files rachana
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{fontdir}
%{fontdir}/Rachana*.ttf 

%files raghumalayalam
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{fontdir}
%{fontdir}/RaghuMalayalamSans*.ttf 

%files suruma
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{fontdir}
%{fontdir}/suruma*.ttf 

%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Sat Sep 27 2008 Christian Wasem <wasem@ccux-linux.de> 04-1
- Initial release